class mx.skins.sample.Defaults
{
   var beginGradientFill;
   var beginFill;
   var moveTo;
   var lineTo;
   var curveTo;
   var endFill;
   static var classConstructed = mx.skins.sample.Defaults.classConstruct();
   static var CSSStyleDeclarationDependency = mx.styles.CSSStyleDeclaration;
   static var UIObjectExtensionsDependency = mx.core.ext.UIObjectExtensions;
   static var UIObjectDependency = mx.core.UIObject;
   function Defaults()
   {
   }
   static function setThemeDefaults()
   {
      var _loc2_ = _global.style;
      _loc2_.disabledColor = 8684164;
      _loc2_.modalTransparency = 0;
      _loc2_.filled = true;
      _loc2_.stroked = true;
      _loc2_.strokeWidth = 1;
      _loc2_.strokeColor = 0;
      _loc2_.fillColor = 16777215;
      _loc2_.repeatInterval = 35;
      _loc2_.repeatDelay = 500;
      _loc2_.fontFamily = "_sans";
      _loc2_.fontSize = 12;
      _loc2_.selectionColor = 15658734;
      _loc2_.rollOverColor = 11184810;
      _loc2_.useRollOver = true;
      _loc2_.backgroundDisabledColor = 14540253;
      _loc2_.selectionDisabledColor = 14540253;
      _loc2_.selectionDuration = 200;
      _loc2_.openDuration = 250;
      _loc2_.borderStyle = "inset";
      _loc2_.color = 0;
      _loc2_.backgroundColor = 16777215;
      _loc2_.textSelectedColor = 24371;
      _loc2_.textRollOverColor = 2831164;
      _loc2_.textDisabledColor = 16777215;
      _loc2_.vGridLines = true;
      _loc2_.hGridLines = false;
      _loc2_.vGridLineColor = 6710886;
      _loc2_.hGridLineColor = 6710886;
      _loc2_.headerColor = 15395562;
      _loc2_.indentation = 17;
      _loc2_.folderOpenIcon = "TreeFolderOpen";
      _loc2_.folderClosedIcon = "TreeFolderClosed";
      _loc2_.defaultLeafIcon = "TreeNodeIcon";
      _loc2_.disclosureOpenIcon = "TreeDisclosureOpen";
      _loc2_.disclosureClosedIcon = "TreeDisclosureClosed";
      _loc2_.popupDuration = 150;
      _loc2_.todayColor = 6710886;
      var _loc0_ = null;
      _loc2_ = _global.styles.ScrollSelectList = new mx.styles.CSSStyleDeclaration();
      _loc2_.backgroundColor = 16777215;
      _loc2_.borderStyle = "inset";
      _loc2_ = _global.styles.Button = new mx.styles.CSSStyleDeclaration();
      _loc2_.buttonColor = 15723503;
      _loc2_.borderColor = 15723503;
      _loc2_.highlightColor = 16777215;
      _loc2_.shadowColor = 6513507;
      _loc2_.borderColor = 0;
      _loc2_ = _global.styles.NumericStepper = new mx.styles.CSSStyleDeclaration();
      _loc2_.textAlign = "center";
      _loc2_ = _global.styles.RectBorder = new mx.styles.CSSStyleDeclaration();
      _loc2_.borderColor = 14015965;
      _loc2_.buttonColor = 7305079;
      _loc2_.shadowColor = 15658734;
      _loc2_.highlightColor = 12897484;
      var _loc4_ = new Object();
      _loc4_.borderColor = 16711680;
      _loc4_.buttonColor = 16711680;
      _loc4_.shadowColor = 16711680;
      _loc4_.highlightColor = 16711680;
      mx.core.UIComponent.prototype.origBorderStyles = _loc4_;
      var _loc3_ = undefined;
      _loc3_ = _global.styles.TextInput = new mx.styles.CSSStyleDeclaration();
      _loc3_.backgroundColor = 16777215;
      _loc3_.borderStyle = "inset";
      _global.styles.TextArea = _global.styles.TextInput;
      _loc3_ = _global.styles.Window = new mx.styles.CSSStyleDeclaration();
      _loc3_.borderStyle = "outset";
      _loc3_.backgroundColor = 15723503;
      var _loc5_ = _global.styles.windowStyles = new mx.styles.CSSStyleDeclaration();
      _loc5_.color = 0;
      _loc3_ = _global.styles.Alert = new mx.styles.CSSStyleDeclaration();
      _loc3_.borderStyle = "outset";
      _loc3_.backgroundColor = 15723503;
      _loc3_ = _global.styles.ScrollView = new mx.styles.CSSStyleDeclaration();
      _loc3_.borderStyle = "inset";
      _loc3_.borderColor = 15724527;
      _loc3_ = _global.styles.View = new mx.styles.CSSStyleDeclaration();
      _loc3_.borderStyle = "none";
      _loc3_ = _global.styles.ProgressBar = new mx.styles.CSSStyleDeclaration();
      _loc3_.color = 11187123;
      _loc3_.fontWeight = "bold";
   }
   function drawRoundRect(x, y, w, h, r, c, alpha, rot, grad)
   {
      if(typeof r == "object")
      {
         var _loc17_ = r.br;
         var _loc15_ = r.bl;
         var _loc14_ = r.tl;
         var _loc9_ = r.tr;
      }
      else
      {
         _loc17_ = _loc15_ = _loc14_ = _loc9_ = r;
      }
      if(typeof c == "object")
      {
         var _loc8_ = [alpha,alpha];
         var _loc16_ = [0,255];
         var _loc13_ = h * 0.7;
         var _loc10_ = {matrixType:"box",x:- _loc13_,y:_loc13_,w:w * 2,h:h * 4,r:rot * 0.0174532925199433};
         if(grad == "radial")
         {
            this.beginGradientFill("radial",c,_loc8_,_loc16_,_loc10_);
         }
         else
         {
            this.beginGradientFill("linear",c,_loc8_,_loc16_,_loc10_);
         }
      }
      else if(c != undefined)
      {
         this.beginFill(c,alpha);
      }
      r = _loc17_;
      var _loc12_ = r - r * 0.707106781186547;
      var _loc11_ = r - r * 0.414213562373095;
      this.moveTo(x + w,y + h - r);
      this.lineTo(x + w,y + h - r);
      this.curveTo(x + w,y + h - _loc11_,x + w - _loc12_,y + h - _loc12_);
      this.curveTo(x + w - _loc11_,y + h,x + w - r,y + h);
      r = _loc15_;
      _loc12_ = r - r * 0.707106781186547;
      _loc11_ = r - r * 0.414213562373095;
      this.lineTo(x + r,y + h);
      this.curveTo(x + _loc11_,y + h,x + _loc12_,y + h - _loc12_);
      this.curveTo(x,y + h - _loc11_,x,y + h - r);
      r = _loc14_;
      _loc12_ = r - r * 0.707106781186547;
      _loc11_ = r - r * 0.414213562373095;
      this.lineTo(x,y + r);
      this.curveTo(x,y + _loc11_,x + _loc12_,y + _loc12_);
      this.curveTo(x + _loc11_,y,x + r,y);
      r = _loc9_;
      _loc12_ = r - r * 0.707106781186547;
      _loc11_ = r - r * 0.414213562373095;
      this.lineTo(x + w - r,y);
      this.curveTo(x + w - _loc11_,y,x + w - _loc12_,y + _loc12_);
      this.curveTo(x + w,y + _loc11_,x + w,y + r);
      this.lineTo(x + w,y + h - r);
      if(c != undefined)
      {
         this.endFill();
      }
   }
   static function classConstruct()
   {
      mx.core.ext.UIObjectExtensions.Extensions();
      mx.skins.sample.Defaults.setThemeDefaults();
      mx.core.UIObject.prototype.drawRoundRect = mx.skins.sample.Defaults.prototype.drawRoundRect;
      return true;
   }
}
